npm i导致了许多问题的解决

ERESOLVEnpm@7有关的问题很常见,因为npm7.x对某些事情比npm6.x更严格。通常,最简单的解决方法是将--legacy-peer-deps标志传递给npm(e.g.,npm i --legacy-peer-deps),或者使用npm@6

如果这不能立即起作用,也许可以先删除node_modulespackage-lock.json。它们将被重新创建。

(提示:使用npm@6不需要卸载npm@7。使用npx指定npm的版本。例如:npx -p npm@6 npm i --legacy-peer-deps。)